using System;
using System.ComponentModel.DataAnnotations;

namespace TelerikMVC3Test.Models
{
    public class ViewModel
    {
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }

        [DataType("Integer")]
        [Required( ErrorMessage = "My custom message" )]
        public Int32? Value { get; set; }

        [DataType("Integer")]
        [Required(ErrorMessage = "My custom message")]
        public Int32? Value1 { get; set; }
    }
}